"""
DTOs for CountryRuleOct.
"""

from pydantic import BaseModel


class CountryRuleOctBaseDTO(BaseModel):
    permission: str
    line: int
    fraction: str
    country_code: str


class CountryRuleOctCreateDTO(CountryRuleOctBaseDTO):
    pass


class CountryRuleOctResponseDTO(CountryRuleOctBaseDTO):
    class Config:
        from_attributes = True
